summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2019-10-24 12:37:51 -0700
committerZac Medico <zmedico@gentoo.org>2019-10-24 12:40:29 -0700
commitf13f09de05113a98cecb840b4e6343002fcbc101 (patch)
tree37794796040359b0b94b703585af7a0f65483d6b
parentnet-dns/dnscrypt-proxy: sync live ebuild (diff)
downloadgentoo-f13f09de05113a98cecb840b4e6343002fcbc101.tar.gz
gentoo-f13f09de05113a98cecb840b4e6343002fcbc101.tar.bz2
gentoo-f13f09de05113a98cecb840b4e6343002fcbc101.zip
sys-apps/portage: 2.3.78-r1 revbump for bug 698474
Closes: https://bugs.gentoo.org/698474 Bug: https://bugs.gentoo.org/697734 Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Zac Medico <zmedico@gentoo.org>
-rw-r--r--sys-apps/portage/portage-2.3.78-r1.ebuild (renamed from sys-apps/portage/portage-2.3.78.ebuild)3
1 files changed, 3 insertions, 0 deletions
diff --git a/sys-apps/portage/portage-2.3.78.ebuild b/sys-apps/portage/portage-2.3.78-r1.ebuild
index 051e9931397..81439a8a03c 100644
--- a/sys-apps/portage/portage-2.3.78.ebuild
+++ b/sys-apps/portage/portage-2.3.78-r1.ebuild
@@ -106,6 +106,9 @@ python_prepare_all() {
# Apply 0299aedef74e47c0a68acf7905d8714c9578f125 for bug 698046.
sed -e 's|rsync -avP|rsync -LtvP|' -i lib/portage/tests/util/test_getconfig.py || die
+ # Apply 26fd7ffdd5b74af3aeedf0e6a87ac6b3d1243848 for bug 698474.
+ sed -e 's|if "local" in custommirrors:|if try_mirrors and "local" in custommirrors:|' -i lib/portage/package/ebuild/fetch.py || die
+
if use gentoo-dev; then
einfo "Disabling --dynamic-deps by default for gentoo-dev..."
sed -e 's:\("--dynamic-deps", \)\("y"\):\1"n":' \